Subject: linux-next: manual merge of the block tree with the mm-hotfixes tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 13 Feb 2023 11:33:36 +1100

Hi all,

Today's linux-next merge of the block tree got a conflict in:

  mm/filemap.c

between commit:

  cfecbdbbbd86 ("mm/filemap: fix page end in filemap_get_read_batch")

from the mm-hotfixes tree and commit:

  cd119d2fa647 ("mm: Pass info, not iter, into filemap_get_pages() and unstatic it")

from the block tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc mm/filemap.c
index 0e20a8d6dd93,6970be64a3e0..000000000000
--- a/mm/filemap.c
+++ b/mm/filemap.c
@@@ -2588,8 -2591,7 +2591,8 @@@ int filemap_get_pages(struct kiocb *ioc
  	struct folio *folio;
  	int err = 0;
  
 +	/* "last_index" is the index of the page beyond the end of the read */
- 	last_index = DIV_ROUND_UP(iocb->ki_pos + iter->count, PAGE_SIZE);
+ 	last_index = DIV_ROUND_UP(iocb->ki_pos + count, PAGE_SIZE);
  retry:
  	if (fatal_signal_pending(current))
  		return -EINTR;